# Configure the Perl DBI driver to allow the templates communicate 
# with the database.
# dbi:<driver name [SQLite, CSV, ADO, mSQL, etc.]>:<database name>
# For more information on Perl Template Toolkit see: 
# http://template-toolkit.org/docs/manual/index.html
[DBI]
# Configuration settings for SQLite
database: sqlite
driver: dbi:SQLite:hpr.db 
#user:        (not used - leave blank)
#password:    (not used - leave blank)
# Configuration settings for MySQL
#database: mysql
#driver: dbi:mysql:database=hpr_hpr:hostname=localhost 
#user: hpr-generator  (Suggested user with read-only privileges)
#password: *********  (Password for user)

# Configure the location of the templates and the generated HTML
[app_paths]
templates_path: ./templates
output_path: ./public_html

# Configure the root template page which pulls in the navigation and 
# content templates used by each page. An optional baseurl property may 
# be defined. This is useful when opening files directly from local 
# filesystem to allow relative paths to work.
[root_template]
content: page.tpl.html
#baseurl: OPTIONAL [i.e. file://<full path to local website directory>]
#baseurl: file:///home/roan/Development/hpr/website/hpr_generator/public_html/
baseurl: https://hackerpublicradio.org/
http_baseurl: http://hackerpublicradio.org/
hub_baseurl: https://hub.hackerpublicradio.org/
media_baseurl: https://archive.org/download/hpr$eps_id/
generator_name: The HPR Robot
generator_email: robot.nospam@nospam.hackerpublicradio.org

# Configure the navigation menu and the content templates for each page 
# of the site:
#
# [page_name] REQUIRED
# navigation: REQUIRED <name of navigation template>
# content: REQUIRED <name of page content template>

# Configure filename if default name is not desired 
# (Default is "ROOT/[page_name].html"):
#
# filename: OPTIONAL <relative path from ROOT -- optional>
# * <directory path> -- Must end in forward slash. File will be created 
#                       in this path with the default naming scheme.
# * <file name> -- May include a relative path. Should include the file 
#                  extension. May have [id] marker in path or name which 
#                  will be substituted with a padded page id.

# Configure pages which use the same content template:
#
# multipage: OPTIONAL true | false (DEFAULT = false)  

[index]
navigation: navigation-main.tpl.html
content: content-index.tpl.html

[about]
navigation: navigation-about.tpl.html
content: content-about.tpl.html

[correspondents]
navigation: navigation-about.tpl.html
content: content-correspondents.tpl.html
filename: correspondents/index.html

[correspondent]
navigation: navigation-about.tpl.html
content: content-correspondent.tpl.html
multipage: true
filename: correspondents/[id].html

[series]
navigation: navigation-get-shows.tpl.html
content: content-series.tpl.html
filename: series/index.html

[series_episode]
navigation: navigation-get-shows.tpl.html
content: content-series_episode.tpl.html
multipage: true
filename: series/[id].html

[episodes]
navigation: navigation-get-shows.tpl.html
content: content-episodes.tpl.html
filename: eps/index.html

[episode]
navigation: navigation-get-shows.tpl.html
content: content-episode.tpl.html
multipage: true
filename: eps/hpr[id]/index.html

[syndication]
navigation: navigation-get-shows.tpl.html
content: content-syndication.tpl.html

[search]
navigation: navigation-main.tpl.html
content: content-search.tpl.html

[sitemap]
navigation: navigation-about.tpl.html
content: content-sitemap.tpl.html

[tags]
navigation: navigation-main.tpl.html
content: content-tags.tpl.html

[twat_episode]
navigation: navigation-get-shows.tpl.html
content: content-twat_episode.tpl.html
multipage: true
filename: eps/twat[id]/index.html
media_baseurl: https://www.hackerpublicradio.org/eps/

[mumble-howto]
navigation: navigation-about.tpl.html
content: content-mumble-howto.tpl.html

[comments_viewer]
navigation: navigation-about.tpl.html
content: content-comments_viewer.tpl.html

[hpr_ogg]
root_template: rss.tpl.xml
content: rss-hpr.tpl.xml
filename: hpr_ogg.rss
media_file_extension: ogg

[hpr_mp3]
root_template: rss.tpl.xml
content: rss-hpr.tpl.xml
filename: hpr_mp3.rss
media_file_extension: mp3
audio_mime_type: mpeg

[hpr_spx]
root_template: rss.tpl.xml
content: rss-hpr.tpl.xml
filename: hpr_spx.rss
media_file_extension: spx

[hpr_total_ogg]
root_template: rss.tpl.xml
content: rss-hpr_total.tpl.xml
filename: hpr_total_ogg.rss
media_file_extension: ogg

[hpr_total_mp3]
root_template: rss.tpl.xml
content: rss-hpr_total.tpl.xml
filename: hpr_total_mp3.rss
media_file_extension: mp3
audio_mime_type: mpeg

[hpr_total_spx]
root_template: rss.tpl.xml
content: rss-hpr_total.tpl.xml
filename: hpr_total_spx.rss
media_file_extension: spx

[comments]
root_template: rss-comments.tpl.xml
filename: comments.rss
